tickr (0.6.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 19:44:14 +0800

tickr (0.6.4-1) unstable; urgency=low

  * In pref windows, some setting changes (like 'read n items per feed')
    need the stream to be reloaded, so now we use:
      current_feed();
    instead of:
      update_pixmap_from_opened_stream();

  * Fix 'quick feed picker (selected feeds) closes when pointer leaves
    win area' and implement it as a setting.

  * In pref window, disabling screen limits updates win_y and win_w
    limits on the fly.

  * Max options number now set to 128.

  * Pref win changes:
    - remove 'system' colors buttons
    - increase gtk table row spacings

  * If gradient bg set, compute text shadow color no longer from
    bg_color but from gradient.

  * Quick feed picker (selected feeds) closes when pointer leaves win
    area. Plus: quick feed picker opened *also* by Ctrl + mouse
    right-click.

  * Complete RSS 1.0 support (Closes: #688099) and fix/rewrite a few
    things in feed parser code.

  * In tickr_feedparser.c: ending '\n' removed when adding string to
    XML_DUMP (left when adding string to XML_DUMP_EXTRA).

  * Replace update_win_dims() with update_win_dims_and_loc() so that if
    ticker location happens to be wrong, it's always and quickly reset.

  * Add RSS 1.0 (RDF) support.

  * In tickr_main.c / main(), change:
      gtk_widget_show_all(env->win);
      update_win_dims();
      gtk_main();
    to:
      gtk_widget_show_all(env->win);
      gtk_widget_set_size_request(env->win, 1, 1);
      gtk_window_resize(GTK_WINDOW(env->win), 1, 1);
      gtk_main();
    to try to get rid of "ghost" square window at startup (but is this
    fully effective ?)
    Also change:
      gtk_widget_set_size_request(env->win, 0, 0)
    to:
      gtk_widget_set_size_request(env->win, 1, 1)
    in update_win_dims().

  * In feed picker - multiple selection mode: start reading selection
    with highlighted feed - more exactly url in entry (if any) / first
    one otherwise.

  * Remove (useless ?) app version number from exported OPML feed list
    title.

  * Only a little editor issue - some editors get confused (geany colors
    get confused) by things like:
      THIS_IS_A_#DEFINE"____string____"
    so now we put a space in between, like this:
      THIS_IS_A_#DEFINE "____string____"

  * If win_w = 0, win_w = detected screen width (same as 'full width'
    but from command line).

  * Fix xml namespaces issue in tickr_feedparser.c, when, for instance,
    'media:title' exists along with 'title' and we then get 'title'
    twice. Now, we make sure no extra namespace is used before comparing
    strings with 'title', 'description', etc.

  * Fix stupid bug in format_resource() 'translate html entities' when
    '&' alone is detected (ie without a following ';'). Also fix
    'translating' numerical entities with leading '0' in value string.

  * New option 'disablescreenlimits' which allows win_y and win_w to be
    greater than screen dimensions.

  * A few default settings changed.

  * Gradient bg.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Thu, 23 May 2013 16:57:41 +0200


tickr (0.6.3-1) experimental; urgency=low

  * Fix messy update_everything() function and add new
    update_pixmap_from_opened_stream() function, used in tickr_mainc.c
    and tickr_prefwin.c.

  * All *string* values are now saved inclosed in a pair of " or '.
    (This avoid getting trailing whitespaces removed by some editors,
    and other weird things like that.) When read, enclosing " or ' are
    removed, so backward compatibility is preserved.

  * install-on-win32 script renamed build-on-win32 (for accuracy sake.)

  * Fix some confusion about win_transparency in tickr_param.c.
    Actually, double value from 0.1 to 1.0 inside program / int value
    from 1 to 10 inside config file or as command line argument.

  * Fix settings import doing nothing (regression bug).

  * In show_resource_info(), fix URL link and GTK label.

  * Move and set:
      #define N_STR_MAX		8
      #define STR_MAXLEN	FILE_NAME_MAXLEN	(128 previously)
    and remove duplicates.

  * In tickr_feedpicker.c, add:
      if (IS_FLIST(flist_bak))
        (  f_list_free_all(flist_bak);  )
    to fix: list crash (f_list_free_all(): Invalid node in list) after
    adding a feed to an empty list (when clicking OK).

  * Rename (#define RESOURCE_DUMP) APP_CMD"-resrc-dump" ->
    APP_CMD"-resrc-dump.xml" (because it *is* an XML file.)

  * Little changes in big_error() text.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Mon, 04 Feb 2013 17:12:37 +0100


tickr (0.6.2-1) experimental; urgency=low

  * Non standard feed rank support in OPML file.

  * Add new optional 'feed re-ordering by user' feature.

  * Add in libetm-0.4.4/str_mem.c/h: (int) str_is_num(const char *) and
    (int) str_is_blank(const char *).

  * In feed picker win, 'enter' in (rank_/url_)entry launches 'add/upd'
    (GTK_RESPONSE_ADD) instead of 'ok (single)' (GTK_RESPONSE_SINGLE).

  * Question at program start-up about new feed list format conversion:
    if version = 0.6.2 and feed list exists and feed list backup doesn't
    exist, create backup and convert to new format.

  * In tickr_feedpicker.c: fix 'cancel' action.

  * New func FList *f_list_clone(FList *) in tickr_list/c/h.

  * Use GTK_RESPONSE_CANCEL_CLOSE only.

  * In compute_surface_and_win(), remove:
      if (prm->icon_in_taskbar == 'n')
        gtk_window_deiconify(GTK_WINDOW(env->win));
    from update_win_dims() (why was it there?) to fix 'tickr keeps
    stealing focus' bug. Also replace params_have_been_changed() with
    win_params_have_been_changed(). (LP: #900759, #951452, #1017107)

  * Fix (regression bug) segfault which occurs when opening text file
    and attempting to 'format_resource()' 'not-generated-if-resource-is-
    file' XML_DUMP_EXTRA file.

  * Libetm version 0.4.3 -> 0.4.4 (see below.)

  * Add get_appdata-dir_w() in libetm-0.4.4:win32_specific.c and
    get_appdata_dir_utf8() in tickr_resource.c to fix non-ascii (for
    instance cyrillic) user name in app data dir issue on win32.
    Also remove seemingly useless g_win32_locale_filename_from_utf8()
    stuff on win32.

  * If 'item title' and 'item description' both unchecked in pref win,
    warn about 'pointless' setup and ask for confirmation before saving
    config.

  * Add new TickerEnv member (int) mouse_x_in_drwa used to continuously
    tracks (guess what?) mouse x position. Now we have:
    - tooltips with descriptions when ticker displays only titles
    and
    - tooltips with titles when ticker displays only descriptions.

  * Add fp_extra stuff in tickr_feedparser.c to get item titles /
    descriptions (in tooltips and others) when they are no displayed.

  * Remove tmp files when exiting tickr_resource.c:format_resource().

  * Add env->c_surf test in shift2left_callback(). (LP: #1011316)

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Sun, 15 Jul 2012 22:53:02 +0200


tickr (0.6.1-1) unstable; urgency=low

  * Add: 'quick setup' thing (in tickr_quicksetup.c) which is launched
    at program startup if config file doesn't exist.

  * Little improvements in layout of 'feed picker win' and 'preferences
    win'.

  * Fix a segfault that happens when trying to export params and no
    config file exists yet.

  * Make several windows that should not be resized by user, unresizable.

  * Fix Launchpad bug #1007346: When 'window always-on-top' is disabled,
    'visible on all user desktops' stops working.

  * If mouse wheel scrolling applies to speed (or feed), then Ctrl +
    mouse wheel scrolling applies to feed (or speed.)

  * No real code changes in libetm, only in comments, so no need for a
    new version number.

  * Update tickr_helptext.c and tickr.1 (man page.)

  * Add new cli option 'no-ui' (similar to 'instance-id') used by new
    IF_UI_ALLOWED macro and remove all #if USE_GUI occurences.

  * In tickr_list.c, free listfname before using it. Fixed by swapping 2
    lines:
      warning(FALSE, 4, "Can't save URL list ", listfname, ...);
      l_str_free(listfname);

  * Use/add #define
      FONT_MAXLEN		68
      ARBITRARY_TASKBAR_HEIGHT	25
    to replace a few 'magic' numeric values.

  * Rename: rss_title/description(_delimiter) ->
      item_title/description(_delimiter)
    then add new param: feed_title(_delimiter). Now we have:
    feed title / item title / item description.

  * Use table in resource properties window.

  * Fix a bug in f_list_load_from_file() in tickr_list.c which
    uncorrectly retrieves any feed title string containing TITLE_TAG_CHAR
    when TITLE_TAG_CHAR has not been removed from string first, for
    instance: 'NYT > World' -> ' World'.

  * New param: disable left-click.

  * Add 'check for updates' feature.

  * Launch 'import OPML file' if feed list doesn't exist.

  * Remove code changing get_params()->disable_popups value in
      START/END_PAUSE_TICKER_WHILE_OPENING
    macros which prevents this setting to be saved and add
      START/END_PAUSE_TICKER_ENABLE_POPUPS_WHILE_OPENING
    new macros. Which ones to use depends on context.

  * Move:
      #ifdef G_OS_WIN32
      extern FILE	*stdout_fp, *stderr_fp;
      #endif
    from *.c into tickr.h.

  * Default always-on-top setting changed to 'n' (so that tickr is not
    intrusive by default.)

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Mon, 04 Jun 2012 14:23:24 +0200


tickr (0.6.0-2) unstable; urgency=low

  * Complete quick_feed_picker() stuff in tickr_quickfeedpicker.c.

  * Swap win32 log files every hour to prevent generating huge ones.
    Finally fix an old bug on win32.

  * Several little improvements/fixes in tickr_feedpicker.c.

  * New type FList (feed doubly-linked list) and associated functions
    f_list_*() in tickr_list.c. Will replace confusing: char url_array[] /
    char *p_url[] / char **p_url stuff in: tickr_main.c, tickr_feedpicker.c,
    tickr_opml.c and tickr_resource.c.

  * Renaming 2 src files:
    - tickr_rss.c -> tickr_feedparser.c
    - tickr_rsswin.c -> tickr_feedpicker.c

  * Add new func: win_with_progress_bar() (in tickr_otherwins.c) and use
    it in feed list import thing (in tickr_opml.c) instead of
    not-spinning-as-expected win_with_spinner().

  * When opening the feed picker dialog, highlight and scroll to current
    feed, plus several extra fixes and tweaks (in tickr_rsswin.c.)

  * Add new func: highlight_and_go_to_row() (in tickr_quickfeedpicker.c.)

  * Add new func: get_feed_index_in_selection() (in tickr_resource.c.)

  * Add new module and func: tickr_quickfeedpicker.c: quick_feed_picker().

  * Add new func: question_win_at().

  * Move 'Import/Export Preferences' from 'File' to 'Edit' in menu layout.

  * Check/improve tickr_socket.c code and move typedefs, prototypes,
    error codes, ... for tickr_socket.c into tickr_socket.h for
    modularity sake.

  * Pause tickr (on mouse-over AND) when popup menu is opened.

  * Change big_error() function (and prototype in libetm-0-4.3) to
    handle variable number of args / change warning() the same way.

  * Add new func: try_str_to_utf8() in tickr_rss.c
    -> try to fix string when utf-8 validation fails.

  * Add new func: remove_trailing_whitespaces_from_str(char *) in
    libetm-0.4.3/str_mem.c.

  * Change SEND_RECV_TIMEOUT to SEND_RECV_TIMEOUT_SEC and
    SEND_RECV_TIMEOUT_USEC.

  * Change main window title:
    'app name and version num  |  feed title / file name'
    ->
    'feed title / file name  |  app name and version num'

  * In libetm-0.4.3:
    - Compile with win32_specific.c only on win32 (fix empty unit
      warning.)
    - get_libetm_version() (function name modified.)

  * Fix a typo in debian/control Build-Depends:
    'debhelper (>= 7.O.50~)' instead of 'debhelper (>= 7.0.50~)'
    which only shows up when trying to build for Lucid.

  * Split tickr_http.c into tickr_http.c and tickr_socket.c.

  * libetm-0.4.2 -> libetm-0.4.3:
    Replace KB, MB, GB, TB with KiB, MiB, GiB, TiB.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Wed, 07 Mar 2012 00:48:53 +0100


tickr (0.5.5-1) unstable; urgency=low

  * Implement new parameter: <mouse wheel scrolling apply to:
  * s = ticker-speed / f = feed-in-list / n = none>.

  * Set <ticker pause on mouse-over> as optional.

  * Select/highlight and scroll to added URL in the list window.

  * Split compute_surface_and_win() code into compute_surface and
    compute_win, because the later is not always necessary. When
    window-always-on-top is disabled, compute_win needs to be run only
    twice at program startup (ie once after gtk_widget_show_all() has been
    called), then whenever params are changed, but not every time a new
    feed is loaded.

  * Add preferences (settings) importing/exporting feature.

  * 'file' scheme support added in tickr_http.c -> enables reading *and*
    xml-processing of (local) text files (wheras 'open text file' *only*
    read them.)

  * 'HTTPS not supported' handling/warning added in tickr_http.c (fix bug:
    program freezes with HTTP redirects to HTTPS.)

  * xml 'quick check' in tickr_http.c:format_quick_check() don't reject
    anymore valid (?) feeds not starting with '<?xml' (like google news.)

  * A few little changes in libetm-0.4 -> libetm-0.4.2.

  * Use mouse wheel to go to previous/next feed.

  * Hide passwords in connection settings window.

  * Pause ticker and show feed title in tooltip on mouse-over.

  * Renaming all source files: news_*.c/h -> tickr_*/c/h.

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Sun, 18 Dec 2011 00:21:23 +0100


tickr (0.5.4-1) unstable; urgency=low

  * Fix sort_url_list(EMPTY_LIST) falsly returning one element list
    (in news_list.c.) Now, program doesn't hang anymore if lauched with
    no feed URLs selected.

  * Add in news_main.c: shift2left_callback():
    env->suspend_rq = TRUE / (cairo drawing code) / env->suspend_rq = FALSE

  * Tickr fails to build with ld --as-needed (recently-set-as-default
    linker flag) because libraries must be placed after objects needing
    theirs symbols.
    To fix that, we use autoconf macro PKG_CHECK_MODULES(GTK2, gtk+-2.0, ,)
    and PKG_CHECK_MODULES(XML2, libxml-2.0, ,) in configure.ac, and we
    may so remove `pkg-config --libs GTK+-2.0' and `xml-config --libs' from
    src/tickr/Makefile.am.
    (Closes: #647311 LP: #879880)

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Tue, 8 Nov 2011 16:00:00 +0000


tickr (0.5.3-1) unstable; urgency=low

  * Initial release (Closes: #638999)

 -- Emmanuel Thomas-Maurin <manutm007@gmail.com>  Fri, 19 Aug 2011 16:00:00 +0000
